package com.steering.mes.mcp.entity;

/**
 * 数据库表MCH_BUNDLING_TYPE所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2019-02-26
 */
@SuppressWarnings("serial")
public class MchBundlingTypeEntity implements java.io.Serializable {
    /**
     * 无注释
     */
    private String baseCode = "";
    /**
     * 无注释
     */
    private String baseName = "";
    /**
     * 0- 捆 1-吨
     */
    private String pricingType = "";
    /**
     * 单价
     */
    private String unitPrice = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 作废人
     */
    private String deleteName = "";
    /**
     * 作废时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";

    /**
     * 无注释
     * @return value
     */
    public String getBaseCode() {
        return baseCode;
    }

    /**
     * 无注释
     * @param baseCode value
     */
    public void setBaseCode(String baseCode) {
        this.baseCode = baseCode;
    }

    /**
     * 无注释
     * @return value
     */
    public String getBaseName() {
        return baseName;
    }

    /**
     * 无注释
     * @param baseName value
     */
    public void setBaseName(String baseName) {
        this.baseName = baseName;
    }

    /**
     * 0- 捆 1-吨
     * @return value
     */
    public String getPricingType() {
        return pricingType;
    }

    /**
     * 0- 捆 1-吨
     * @param pricingType value
     */
    public void setPricingType(String pricingType) {
        this.pricingType = pricingType;
    }

    /**
     * 单价
     * @return value
     */
    public String getUnitPrice() {
        return unitPrice;
    }

    /**
     * 单价
     * @param unitPrice value
     */
    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 作废人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 作废人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 作废时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 作废时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }
}